import { Collection } from "https://deno.land/x/mongo@v0.31.2/mod.ts";
import UserRouter from "../routers/UserRouter.ts";
import User from "../models/User.ts";
import Response from "../server/RestResponse.ts";
import Router from "../server/Router.ts";
import { rest, route } from "../server/decorators.ts";

export class RootRouter extends Router {
    @route('users/*') users;

    @rest('*', '*')
    default() {
        return new Response().body(new Blob(['Page not found :/'])).status(404);
    }

    constructor(salt: string, users: Collection<User>) {
        super();
        this.users = new UserRouter(salt, users);
    }
}
