import JWT from "../../JWT.ts";
import Router, { makeParameterModifier } from "../Router.ts";

export default function jwt<T extends Router>(salt: ((self: T) => string) | keyof T) {
    return makeParameterModifier<T>(function (_req, val?: string) {
        if (val === undefined) return undefined;
        const s = typeof salt === 'function' ? salt(this) : this[salt] as string;
        return JWT.decode(val, s);
    });
}